## emacsql 3.0.0+ds

=== Makefile ===
# Clone the dependencies of this package in sibling directories:
#     $ git clone https://github.com/cbbrowne/pg.el ../pg
#
# Or set LDFLAGS to point at these packages elsewhere:
#     $ make LDFLAGS='-L path/to/pg'

.POSIX:
.SUFFIXES: .el .elc
EMACS   = emacs
LDFLAGS = -L ../pg
BATCH   = $(EMACS) -batch -Q -L . -L tests $(LDFLAGS)

EL = emacsql-compiler.el \
     emacsql.el \
     emacsql-sqlite.el \
     emacsql-psql.el \
     emacsql-mysql.el \
     emacsql-pg.el
ELC = $(EL:.el=.elc)
TEST_EL = \
    tests/emacsql-compiler-tests.el \
    tests/emacsql-external-tests.el \
    tests/emacsql-tests.el
TEST_ELC = $(TEST_EL:.el=.elc)
EXTRA_DIST = README.md UNLICENSE

all: test

binary: sqlite/emacsql-sqlite
sqlite/emacsql-sqlite:
	$(MAKE) -C sqlite

compile: $(ELC)

check: test
test: compile $(TEST_ELC)
	$(BATCH) -l tests/emacsql-tests.elc -f ert-run-tests-batch

clean:
	rm -f $(ELC) $(TEST_ELC)

distclean: clean
	$(MAKE) -C sqlite clean

.el.elc:
	$(BATCH) -f batch-byte-compile $<

=== sqlite/Makefile ===
.POSIX:
LDLIBS = -ldl -lm
CFLAGS = -O2 -Wall -Wextra \
    -DSQLITE_THREADSAFE=0 \
    -DSQLITE_DEFAULT_FOREIGN_KEYS=1 \
    -DSQLITE_ENABLE_FTS5 \
    -DSQLITE_ENABLE_FTS4 \
    -DSQLITE_ENABLE_FTS3_PARENTHESIS \
    -DSQLITE_ENABLE_RTREE \
    -DSQLITE_ENABLE_JSON1 \
    -DSQLITE_SOUNDEX

emacsql-sqlite: emacsql.c sqlite3.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ emacsql.c sqlite3.c $(LDLIBS)

clean:
	rm -f emacsql-sqlite

=== debian/changelog ===
emacsql (3.0.0+ds-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 14:35:56 -0700

emacsql (3.0.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962688).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jun 2020 13:04:14 -0700

=== debian/control ===
Source: emacsql
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 12),
 dh-elpa,
 libsqlite3-dev,
 elpa-pg <!nocheck>,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
Homepage: https://github.com/skeeto/emacsql
Testsuite: autopkgtest-pkg-elpa

Package: elpa-emacsql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the high level abstractions.

Package: elpa-emacsql-sqlite
Architecture: any
Depends: ${elpa:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the SQLite backend.

Package: elpa-emacsql-psql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-pg
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the PostgreSQL backend.

Package: elpa-emacsql-mysql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the MySQL backend.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds$//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/emacsql-$1.tar.gz/" \
    https://github.com/skeeto/emacsql/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacsql 3.1.1+ds

=== Makefile ===
-include .config.mk

# Clone the dependencies of this package in sibling directories:
#     $ git clone https://github.com/emarsden/pg-el ../pg
#
# Or set LOAD_PATH to point at these packages elsewhere:
#     $ make LOAD_PATH='-L path/to/pg'

PKG = emacsql

ELS   = $(PKG)-compiler.el
ELS  += $(PKG).el
ELS  += $(PKG)-mysql.el
ELS  += $(PKG)-pg.el
ELS  += $(PKG)-psql.el
ELS  += $(PKG)-sqlite.el
ELCS  = $(ELS:.el=.elc)

TEST_ELS  = tests/emacsql-compiler-tests.el
TEST_ELS += tests/emacsql-external-tests.el
TEST_ELS += tests/emacsql-tests.el
TEST_ELCS = $(TEST_ELS:.el=.elc)

DEPS  = pg

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .
LOAD_PATH  += -L ./tests

all: binary lisp

help:
	$(info make all          - generate binary, byte-code and autoloads)
	$(info make binary       - generate binary)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make test         - run tests)
	$(info make clean        - remove byte-code and autoloads)
	$(info make distclean    - remove binary, byte-code and autoloads)
	@printf "\n"

binary: sqlite/emacsql-sqlite
sqlite/emacsql-sqlite:
	$(MAKE) -C sqlite

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN  = $(ELCS) $(TEST_ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

distclean: clean
	$(MAKE) -C sqlite clean

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))"

test: all $(TEST_ELCS)
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch

=== debian/changelog ===
emacsql (3.1.1+ds-1) unstable; urgency=medium

  * Adopt the package from Sean Whitton.
  * Bump debhelper compat to 13.
  * Bump Standards version to 4.5.1 (no changes required).
  * Add optional Rules-Requires-Root field to d/control to respect policy.
  * Update to new upstream version 3.1.1+ds.
  * Update d/watch to match new upstream repo.
  * Add disambiguation to d/control short descriptions.
  * Update d/copyright to match new upstream repo, correct typo.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 31 Oct 2022 22:45:34 +0100

=== debian/control ===
Source: emacsql
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 libsqlite3-dev,
 elpa-pg <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
Homepage: https://github.com/skeeto/emacsql
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-emacsql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (abstractions)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the high level abstractions.

Package: elpa-emacsql-sqlite
Architecture: any
Depends: ${elpa:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (SQLite backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the SQLite backend.

Package: elpa-emacsql-psql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-pg
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (PostgreSQL backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the PostgreSQL backend.

Package: elpa-emacsql-mysql
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: high level SQL database frontend for Emacs (MySQL backend)
 EmacSQL is a high level Emacs Lisp frontend for SQLite
 (primarily), PostgreSQL, MySQL, and potentially other SQL
 databases.
 .
 This package contains the MySQL backend.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds$//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/emacsql-$1.tar.gz/" \
    https://github.com/magit/emacsql/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacsql 3.1.1+git20230417.6401226+ds

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,16 @@
 -include .config.mk
-
-# Clone the dependencies of this package in sibling directories:
-#     $ git clone https://github.com/emarsden/pg-el ../pg
-#
-# Or set LOAD_PATH to point at these packages elsewhere:
-#     $ make LOAD_PATH='-L path/to/pg'
 
 PKG = emacsql
 
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
+ELS  += $(PKG)-sqlite-common.el
+ELS  += $(PKG)-sqlite-builtin.el
+ELS  += $(PKG)-sqlite-module.el
+ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-mysql.el
+ELS  += $(PKG)-psql.el
 ELS  += $(PKG)-pg.el
-ELS  += $(PKG)-psql.el
-ELS  += $(PKG)-sqlite.el
 ELCS  = $(ELS:.el=.elc)
 
 TEST_ELS  = tests/emacsql-compiler-tests.el
@@ -22,9 +19,16 @@
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
+DEPS += sqlite3
 
 EMACS      ?= emacs
+
+ifeq ($(CI), true)
+# Workaround for bug#58252 on Emacs 28.x.
+override EMACS_ARGS += --eval "(setq byte-compile-docstring-max-column 120)"
+else
 EMACS_ARGS ?=
+endif
 
 LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
 LOAD_PATH  += -L .
@@ -45,7 +49,7 @@
 sqlite/emacsql-sqlite:
 	$(MAKE) -C sqlite
 
-lisp: $(ELCS) loaddefs check-declare
+lisp: $(ELCS) loaddefs
 
 loaddefs: $(PKG)-autoloads.el
 
@@ -77,10 +81,35 @@
       (coding-system-for-write 'utf-8-emacs-unix))\
   (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
   (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
-            ((symbol-function 'progress-reporter-done) (lambda (_))))\
+	    ((symbol-function 'progress-reporter-done) (lambda (_))))\
     (let ((generated-autoload-file file))\
-      (update-directory-autoloads default-directory))))"
+      (update-directory-autoloads default-directory))))" \
+	2>&1 | sed "/^Package autoload is deprecated$$/d"
 
 test: all $(TEST_ELCS)
 	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch
+	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch-and-exit
+
+ifeq ($(CI), true)
+override GITSTATS = gitstats/gitstats
+endif
+GITSTATS      ?= gitstats
+GITSTATS_DIR  ?= stats
+GITSTATS_ARGS ?= -c style=https://magit.vc/assets/stats.css -c max_authors=999
+
+DOMAIN      ?= magit.vc
+CFRONT_DIST ?= E2LUHBKU1FBV02
+S3_BUCKET   ?= s3://$(DOMAIN)
+
+.PHONY: stats
+stats:
+	@printf "Generating statistics\n"
+	@$(GITSTATS) $(GITSTATS_ARGS) . $(GITSTATS_DIR)
+
+stats-upload:
+	@printf "Uploading statistics...\n"
+	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
+	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

=== sqlite/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
+-include ../.config.mk
+
 .POSIX:
 LDLIBS = -ldl -lm
-CFLAGS = -O2 -Wall -Wextra \
+CFLAGS = -O2 -Wall -Wextra -Wno-implicit-fallthrough \
     -DSQLITE_THREADSAFE=0 \
     -DSQLITE_DEFAULT_FOREIGN_KEYS=1 \
     -DSQLITE_ENABLE_FTS5 \

=== debian/changelog ===
emacsql (3.1.1+git20230417.6401226+ds-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Update to new upstream version 3.1.1+git20230417.6401226+ds : needed
    to repair magit after release of emacs 1:29.1+1-1 (see
    https://github.com/magit/forge/issues/535) (Closes: #1051090).
  * Bump Standards-Version to 4.6.2 (no changes required).
  * d/control : update Homepage.
  * Specify dependencies manually between backends and high-level
    abstractions (discrepancy in version numbering format made backends
    unupgradeable).
  * Add new upstream files to d/elpa-emacsql-sqlite.elpa.
  * d/rules: add binary hardening options.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Sep 2023 09:28:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  dh-elpa,
  libsqlite3-dev,
  elpa-pg <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
-Homepage: https://github.com/skeeto/emacsql
+Homepage: https://github.com/magit/emacsql
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 
@@ -28,7 +28,7 @@
 
 Package: elpa-emacsql-sqlite
 Architecture: any
-Depends: ${elpa:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)
@@ -40,7 +40,7 @@
 
 Package: elpa-emacsql-psql
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, elpa-pg
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, elpa-pg
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (PostgreSQL backend)
@@ -52,7 +52,7 @@
 
 Package: elpa-emacsql-mysql
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (MySQL backend)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with elpa

## emacsql 4.0.3+ds

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
+DEPS += peg
 DEPS += sqlite3
 
 EMACS      ?= emacs
@@ -28,6 +29,10 @@
 override EMACS_ARGS += --eval "(setq byte-compile-docstring-max-column 120)"
 else
 EMACS_ARGS ?=
+endif
+
+ifdef NIX_PATH
+export SQLITE3_API_BUILD_COMMAND = nix-shell -p sqlite.dev --run "make all"
 endif
 
 LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
@@ -40,6 +45,7 @@
 	$(info make all          - generate binary, byte-code and autoloads)
 	$(info make binary       - generate binary)
 	$(info make lisp         - generate byte-code and autoloads)
+	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make test         - run tests)
 	$(info make clean        - remove byte-code and autoloads)
 	$(info make distclean    - remove binary, byte-code and autoloads)
@@ -49,6 +55,7 @@
 sqlite/emacsql-sqlite:
 	$(MAKE) -C sqlite
 
+redo: clean lisp
 lisp: $(ELCS) loaddefs
 
 loaddefs: $(PKG)-autoloads.el

=== debian/changelog ===
emacsql (4.0.3+ds-1) unstable; urgency=medium

  * Update to new upstream version 4.0.3+ds.
  * Add explicit DEB_UPSTREAM_VERSION to d/rules.
  * Bump Standards-Version to 4.7.0 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 15 Sep 2024 00:14:35 +0200

emacsql (3.1.1+git20230417.6401226+ds-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:00:50 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-elpa,
  libsqlite3-dev,
  elpa-pg <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
 Homepage: https://github.com/magit/emacsql

=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.0.3
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with elpa

## emacsql 4.1.0

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
+ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-sqlite-common.el
 ELS  += $(PKG)-sqlite-builtin.el
 ELS  += $(PKG)-sqlite-module.el
-ELS  += $(PKG)-sqlite.el
 ELS  += $(PKG)-mysql.el
 ELS  += $(PKG)-psql.el
 ELS  += $(PKG)-pg.el
@@ -15,7 +15,6 @@
 
 TEST_ELS  = tests/emacsql-compiler-tests.el
 TEST_ELS += tests/emacsql-external-tests.el
-TEST_ELS += tests/emacsql-tests.el
 TEST_ELCS = $(TEST_ELS:.el=.elc)
 
 DEPS  = pg
@@ -39,21 +38,15 @@
 LOAD_PATH  += -L .
 LOAD_PATH  += -L ./tests
 
-all: binary lisp
+all: lisp
 
 help:
-	$(info make all          - generate binary, byte-code and autoloads)
-	$(info make binary       - generate binary)
+	$(info make all          - generate byte-code and autoloads)
 	$(info make lisp         - generate byte-code and autoloads)
 	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make test         - run tests)
 	$(info make clean        - remove byte-code and autoloads)
-	$(info make distclean    - remove binary, byte-code and autoloads)
 	@printf "\n"
-
-binary: sqlite/emacsql-sqlite
-sqlite/emacsql-sqlite:
-	$(MAKE) -C sqlite
 
 redo: clean lisp
 lisp: $(ELCS) loaddefs
@@ -75,9 +68,6 @@
 	@printf " Cleaning...\n"
 	@rm -rf $(CLEAN)
 
-distclean: clean
-	$(MAKE) -C sqlite clean
-
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
 	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
@@ -94,11 +84,15 @@
 	2>&1 | sed "/^Package autoload is deprecated$$/d"
 
 test: all $(TEST_ELCS)
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	-L tests -l tests/emacsql-tests.elc -f ert-run-tests-batch-and-exit
+	@printf "Running compiler tests...\n"
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -L tests \
+	-l tests/emacsql-compiler-tests.elc -f ert-run-tests-batch-and-exit
+	@printf "Running connector tests...\n"
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -L tests \
+	-l tests/emacsql-external-tests.elc -f ert-run-tests-batch-and-exit
 
 ifeq ($(CI), true)
-override GITSTATS = gitstats/gitstats
+override GITSTATS = ../_gitstats/gitstats
 endif
 GITSTATS      ?= gitstats
 GITSTATS_DIR  ?= stats

=== debian/changelog ===
emacsql (4.1.0-1) unstable; urgency=medium

  * Update to new upstream version 4.1.0.
  * Drop all patches : the custom connector has been removed by upstream.
  * d/copyright : remove reference to previously removed files.
  * Remove d/elpa-emacsql-sqlite.install : file sqlite/emacsql-sqlite does
    not exist anymore.
  * Remove d/elpa-test : file sqlite/emacsql-sqlite does not exist
    anymore.
  * Remove debian/elpa-emacsql-sqlite.README.Debian : not applicable
    anymore.
  * d/control :
    - remove ${shlibs:Depends} from elpa-emacsql-sqlite dependencies
    - remove libsqlite3-dev from Build-Depends
    - change elpa-emacsql-sqlite arch from any to all (no binaries
      anymore)
  * d/rules : Update DEB_UPSTREAM_VERSION

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 30 Dec 2024 21:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
- libsqlite3-dev,
  elpa-pg <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
@@ -27,8 +26,8 @@
  This package contains the high level abstractions.
 
 Package: elpa-emacsql-sqlite
-Architecture: any
-Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.1.0
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with elpa

## emacsql 4.3.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 ELS   = $(PKG)-compiler.el
 ELS  += $(PKG).el
 ELS  += $(PKG)-sqlite.el
-ELS  += $(PKG)-sqlite-common.el
 ELS  += $(PKG)-sqlite-builtin.el
 ELS  += $(PKG)-sqlite-module.el
 ELS  += $(PKG)-mysql.el

=== debian/changelog ===
emacsql (4.3.0-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Update to new upstream version 4.3.0.
  * d/control : Bump Standards-Version to 4.7.2 (no changes required).
  * d/sqlite : Remove emacsql-sqlite-common.el (disappeared).
  * d/rules :
    - Remove hardening options (no more compilation of binaries).
    - Update DEB_UPSTREAM_VERSION.

  [ Xiyue Deng ]
  * d/control : drop oldoldstable emacs version from Recommends

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 05 Apr 2025 13:09:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-pg <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacsql
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacsql.git
 Homepage: https://github.com/magit/emacsql
@@ -16,7 +16,7 @@
 Package: elpa-emacsql
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (abstractions)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -28,7 +28,7 @@
 Package: elpa-emacsql-sqlite
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (SQLite backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -40,7 +40,7 @@
 Package: elpa-emacsql-psql
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}, elpa-pg
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (PostgreSQL backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite
@@ -52,7 +52,7 @@
 Package: elpa-emacsql-mysql
 Architecture: all
 Depends: elpa-emacsql (>= ${source:Version}), ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: high level SQL database frontend for Emacs (MySQL backend)
  EmacSQL is a high level Emacs Lisp frontend for SQLite

=== debian/rules ===
#!/usr/bin/make -f

export DEB_UPSTREAM_VERSION = 4.3.0

%:
	dh $@ --with elpa
